import { CargoVent } from "../../../typeclass/vents/cargo-vent";

export type FpCargoVent = Omit<CargoVent, "source_id"> & {
  // Which weather deck vent is leading to this cargo vent
  source_id: string;

  // Is this cargo vent usable or not for whatever reason
  is_usable: boolean;

  // Which hoses are coming through this vent
  hoses: string[];
};
