import { OjDeckBase } from "./oj-deck-base";
import { OjPanel } from "./oj-panel";

export type OjHoistableDeck = OjDeckBase & {
  type: "hoistable";

  position: "lowered" | "partly_hoisted" | "fully_hoisted"; // We should never really have a deck set to "hoisted" in our DB as if it's fully hoisted, then it isn't getting fumigatd, thus not getting configured by the user who sets the fumigation plan

  panels: OjPanel[];
};
