import { FpRecirculationFanSpot } from "../../../job/fumigation-plan/devices/fp-recirculation-fan-spot";
import { OjDeviceImageConfirmation } from "./oj-device-image-confirmation";

export type OjRecirculationFanSpot = Omit<
  FpRecirculationFanSpot,
  "serial_number"
> & {
  // The serial of the physical device
  serial_number: string;

  // The name we use to identify the fan's location on the deck. As we remove all unutilized fas, we can't do this dynamically anymore
  position_identifier: string;

  // Array of all image confirmations for that spot (incl. historic ones)
  image_confirmations: OjDeviceImageConfirmation[];

  // // What is the status of the fan
  // status: "on" | "off" | "no-connection";

  // // How fast is the fan working
  // speed: number;

  // // A number between 1 and 100
  // battery_life: number;
};
