import {
  WeatherDeckVent,
  WeatherDeckVentDraft,
} from "./vents/weather-deck-vent";

export type WeatherDeck = {
  // URL to the layout file (image file)
  layout_file?: string;

  // All the vents in the weather deck
  vents: WeatherDeckVent[];
};

export type WeatherDeckDraft = Omit<Weather, "vents"> & {
  vents: WeatherDeckVentDraft[];
};
