import { Panel, PanelDraft } from './panel';
import { DeckBase, DeckBaseDraft } from './deck-base';


export type HoistableDeck = DeckBase & {
  type: "hoistable";
  panels: (Panel | PanelDraft)[];
};

export type HoistableDeckDraft = DeckBaseDraft & {
  type: "hoistable";
  panels: (Panel | PanelDraft)[];
};
