export type WeatherDeckVent = {
  _id: string;

  // The serial name of this vent
  name: string;

  // The type/direction of this vent
  type: WeatherDeckVentType;

  // The location of the vent on the layout file
  coords: Point;
};

export type WeatherDeckVentType = "supply" | "reversed" | "supply-reversed";

export type WeatherDeckVentDraft = Omit<WeatherDeckVent, "_id">;
